### Method

# Fwupd SecurityAttr add_obsolete

since: 1.5.0

#### Declaration [src]

    void
    fwupd_security_attr_add_obsolete (
      FwupdSecurityAttr* self,
      const gchar* appstream_id
    )

#### Description [src]

Adds an attribute appstream_id to obsolete. The obsoleted attribute will not contribute to the calculated HSI value or be visible in command line tools.

Available since: 1.5.0

#### Parameters

`appstream_id`

  Type: `const gchar*`

  The appstream_id or plugin name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.